---
table_name: automation_rules
description: Stores automation rules and their trigger events
feature_categories:
-
introduced_by_url: https://gitlab.com/gitlab-org/gitlab/-/merge_requests/111021
milestone: '15.9'
gitlab_schema: gitlab_main_cell
allow_cross_foreign_keys:
- gitlab_main_clusterwide
sharding_key:
  namespace_id: namespaces
table_size: small
